Index: branches/src/ProcessManagement/ProcessManagement/Common/CommonVersion.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Common/CommonVersion.cs	(revision 368)
+++ branches/src/ProcessManagement/ProcessManagement/Common/CommonVersion.cs	(revision 369)
@@ -14,7 +14,7 @@
         /// <summary>
         /// 本体バージョン
         /// </summary>
-        public static int s_SystemVersion = 227;
+        public static int s_SystemVersion = 228;
 
         /// <summary>
         /// コピー・環境バージョン
Index: branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsChangeBaseInfoData.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsChangeBaseInfoData.cs	(revision 368)
+++ branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsChangeBaseInfoData.cs	(revision 369)
@@ -153,51 +153,54 @@
                 DB25.beginTran(); DB26.beginTran(); DB27.beginTran(); DB28.beginTran(); DB29.beginTran();
 
                 bool ProcSuccess = true;
-                string strRemove = string.Empty;
-                string strRemove2 = string.Empty;
+                StringBuilder strRemove = new StringBuilder();
+                StringBuilder strRemove2 = new StringBuilder();
+                StringBuilder strSQL = new StringBuilder();
                 for (int i = 0; i < RemoveList.Count; i++)
                 {
-                    strRemove = DB01.CreatePrimarykeyString(RemoveList[i]);
-                    if (!DB01.DeleteAction(strRemove, false)) { ProcSuccess = false; break; }
-                    if (!DB02.DeleteAction(strRemove, false)) { ProcSuccess = false; break; }
+                    strRemove.Clear();
+                    strRemove.Append(DB01.CreatePrimarykeyString(RemoveList[i]));
+                    if (!DB01.DeleteAction(strRemove.ToString(), false)) { ProcSuccess = false; break; }
+                    if (!DB02.DeleteAction(strRemove.ToString(), false)) { ProcSuccess = false; break; }
 
-                    DB04.DeleteAction(strRemove, false);
-                    DB05.DeleteAction(strRemove, false);
-                    DB06.DeleteAction(strRemove, false);
-                    DB07.DeleteAction(strRemove, false);
-                    DB08.DeleteAction(strRemove, false);
-                    DB09.DeleteAction(strRemove, false);
-                    DB10.DeleteAction(strRemove, false);
-                    DB11.DeleteAction(strRemove, false);
-                    DB12.DeleteAction(strRemove, false);
-                    DB13.DeleteAction(strRemove, false);
-                    DB14.DeleteAction(strRemove, false);
-                    DB15.DeleteAction(strRemove, false);
-                    DB16.DeleteAction(strRemove, false);
-                    DB17.DeleteAction(strRemove, false);
-                    DB18.DeleteAction(strRemove, false);
-                    DB19.DeleteAction(strRemove, false);
-                    DB20.DeleteAction(strRemove, false);
-                    DB21.DeleteAction(strRemove, false);
-                    DB22.DeleteAction(strRemove, false);
-                    DB23.DeleteAction(strRemove, false);
-                    DB24.DeleteAction(strRemove, false);
-                    DB25.DeleteAction(strRemove, false);
-                    DB26.DeleteAction(strRemove, false);
-                    DB27.DeleteAction(strRemove, false);
-                    DB28.DeleteAction(strRemove, false);
-                    DB29.DeleteAction(strRemove, false);
+                    DB04.DeleteAction(strRemove.ToString(), false);
+                    DB05.DeleteAction(strRemove.ToString(), false);
+                    DB06.DeleteAction(strRemove.ToString(), false);
+                    DB07.DeleteAction(strRemove.ToString(), false);
+                    DB08.DeleteAction(strRemove.ToString(), false);
+                    DB09.DeleteAction(strRemove.ToString(), false);
+                    DB10.DeleteAction(strRemove.ToString(), false);
+                    DB11.DeleteAction(strRemove.ToString(), false);
+                    DB12.DeleteAction(strRemove.ToString(), false);
+                    DB13.DeleteAction(strRemove.ToString(), false);
+                    DB14.DeleteAction(strRemove.ToString(), false);
+                    DB15.DeleteAction(strRemove.ToString(), false);
+                    DB16.DeleteAction(strRemove.ToString(), false);
+                    DB17.DeleteAction(strRemove.ToString(), false);
+                    DB18.DeleteAction(strRemove.ToString(), false);
+                    DB19.DeleteAction(strRemove.ToString(), false);
+                    DB20.DeleteAction(strRemove.ToString(), false);
+                    DB21.DeleteAction(strRemove.ToString(), false);
+                    DB22.DeleteAction(strRemove.ToString(), false);
+                    DB23.DeleteAction(strRemove.ToString(), false);
+                    DB24.DeleteAction(strRemove.ToString(), false);
+                    DB25.DeleteAction(strRemove.ToString(), false);
+                    DB26.DeleteAction(strRemove.ToString(), false);
+                    DB27.DeleteAction(strRemove.ToString(), false);
+                    DB28.DeleteAction(strRemove.ToString(), false);
+                    DB29.DeleteAction(strRemove.ToString(), false);
 
                     if (BaseRec.JoinFlg == (int)ConstructionBaseInfo.JoinFlgDef.JoinParent
                         || BaseRec.TyingFlg == (int)ConstructionBaseInfo.TyingFlgDef.Parent)
                     {
-                        DB03.DeleteAction(strRemove, false);
+                        DB03.DeleteAction(strRemove.ToString(), false);
                     }
                     else if (BaseRec.TyingFlg == (int)ConstructionBaseInfo.TyingFlgDef.Tying)
                     {
-                        strRemove2 = string.Format(" Where FluctuationCode = {0}", RemoveList[i]);
-                        strRemove2 += string.Format(" AND LINKTYPE = {0}", (int)ConstructionLink.DataTypeDef.FluctuationType);
-                        DB03.DeleteAction(strRemove2, false);
+                        strRemove2.Clear();
+                        strRemove2.AppendFormat(" Where FluctuationCode = {0}", RemoveList[i]);
+                        strRemove2.AppendFormat(" AND LINKTYPE = {0}", (int)ConstructionLink.DataTypeDef.FluctuationType);
+                        DB03.DeleteAction(strRemove2.ToString(), false);
                     }
                     else if (BaseRec.JoinFlg == (int)ConstructionBaseInfo.JoinFlgDef.JoinChildren)
                     {
@@ -225,7 +228,7 @@
                     // 結合工事親確認
                     if (BaseRec.JoinFlg == (int)ConstructionBaseInfo.JoinFlgDef.JoinParent)
                     {
-                        string strSQL = string.Empty;
+                        strSQL.Clear();
                         for (int i = 0; i < UpdateLinkList.Count; i++)
                         {
                             if (!DB01.UpdateFeild(UpdateLinkList[i]
@@ -236,11 +239,11 @@
                                 ProcSuccess = false;
                                 break;
                             }
-                            strSQL = string.Format("UPDATE CONSTRUCTIONBASEINFO A SET A.JOINFLG = {0}", (int)ConstructionBaseInfo.JoinFlgDef.Standard);
-                            strSQL += " WHERE A.CONSTRUCTIONCODE IN (SELECT AA.FLUCTUATIONCODE FROM CONSTRUCTIONLINK AA";
-                            strSQL += string.Format(" WHERE AA.CONSTRUCTIONCODE = {0}",UpdateLinkList[i]);
-                            strSQL += string.Format(" AND AA.LINKTYPE = {0})", (int)ConstructionLink.DataTypeDef.FluctuationType);
-                            DB01.ExecuteNonQuery(strSQL, false);
+                            strSQL.AppendFormat("UPDATE CONSTRUCTIONBASEINFO A SET A.JOINFLG = {0}", (int)ConstructionBaseInfo.JoinFlgDef.Standard);
+                            strSQL.Append(" WHERE A.CONSTRUCTIONCODE IN (SELECT AA.FLUCTUATIONCODE FROM CONSTRUCTIONLINK AA");
+                            strSQL.AppendFormat(" WHERE AA.CONSTRUCTIONCODE = {0}",UpdateLinkList[i]);
+                            strSQL.AppendFormat(" AND AA.LINKTYPE = {0})", (int)ConstructionLink.DataTypeDef.FluctuationType);
+                            DB01.ExecuteNonQuery(strSQL.ToString(), false);
                         }
                     }
                 }
@@ -293,14 +296,15 @@
         {
             try
             {
-                string strSQL = "SELECT FLUCTUATIONCODE FROM CONSTRUCTIONLINK";
-                strSQL += LinkDB.CreatePrimarykeyString(RemoveCode);
+                StringBuilder strSQL = new StringBuilder();
+                strSQL.Append("SELECT FLUCTUATIONCODE FROM CONSTRUCTIONLINK");
+                strSQL.Append(LinkDB.CreatePrimarykeyString(RemoveCode));
                 if (bJoin)
-                    strSQL += string.Format(" AND LINKTYPE = {0}", (int)ConstructionLink.DataTypeDef.JoinType);
+                    strSQL.AppendFormat(" AND LINKTYPE = {0}", (int)ConstructionLink.DataTypeDef.JoinType);
                 else
-                    strSQL += string.Format(" AND LINKTYPE = {0}", (int)ConstructionLink.DataTypeDef.FluctuationType);
+                    strSQL.AppendFormat(" AND LINKTYPE = {0}", (int)ConstructionLink.DataTypeDef.FluctuationType);
                 ArrayList arList = new ArrayList();
-                if (!LinkDB.ExecuteReader(strSQL, ref arList)) return;
+                if (!LinkDB.ExecuteReader(strSQL.ToString(), ref arList)) return;
                 foreach (object[] CurRec in arList)
                 {
                     RemoveList.Add(CommonMotions.cnvInt(CurRec[0]));
@@ -321,14 +325,15 @@
         {
             try
             {
-                string strSQL = "SELECT B.CONSTRUCTIONCODE, COUNT(*) FROM CONSTRUCTIONLINK A, CONSTRUCTIONLINK B";
-                strSQL += string.Format(" WHERE A.FLUCTUATIONCODE = {0}", RemoveCode);
-                strSQL += string.Format(" AND A.LINKTYPE = {0}", (int)ConstructionLink.DataTypeDef.FluctuationType);
-                strSQL += " AND B.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE";
-                strSQL += " GROUP BY B.CONSTRUCTIONCODE";
+                StringBuilder strSQL = new StringBuilder();
+                strSQL.Append("SELECT B.CONSTRUCTIONCODE, COUNT(*) FROM CONSTRUCTIONLINK A, CONSTRUCTIONLINK B");
+                strSQL.AppendFormat(" WHERE A.FLUCTUATIONCODE = {0}", RemoveCode);
+                strSQL.AppendFormat(" AND A.LINKTYPE = {0}", (int)ConstructionLink.DataTypeDef.FluctuationType);
+                strSQL.Append(" AND B.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE");
+                strSQL.Append(" GROUP BY B.CONSTRUCTIONCODE");
 
                 ArrayList arList = new ArrayList();
-                if (!LinkDB.ExecuteReader(strSQL, ref arList)) return 0;
+                if (!LinkDB.ExecuteReader(strSQL.ToString(), ref arList)) return 0;
 
                 object[] CurRec = (object[])arList[0];
 
@@ -358,13 +363,14 @@
 
                 DataList.Clear();
                 // 結合工事表示
-                string strParent = "SELECT DISTINCT(A.CONSTRUCTIONCODE), B.REQUESTEDDATE, 0, 0, 0, 0, F.DETAILSTRING, B.JOINFLG";
-                strParent += " FROM CONSTRUCTIONLINK A";
-                strParent += " LEFT OUTER JOIN CONSTRUCTIONBASEINFODETAIL F ON F.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE";
-                strParent += string.Format(" AND F.DETAILNO = {0}", (int)ConstructionBaseInfoDetail.DataNoDef.ConstructionName);
-                strParent += ", CONSTRUCTIONBASEINFO B";
+                StringBuilder strParent = new StringBuilder();
+                strParent.Append("SELECT DISTINCT(A.CONSTRUCTIONCODE), B.REQUESTEDDATE, 0, 0, 0, 0, F.DETAILSTRING, B.JOINFLG");
+                strParent.Append(" FROM CONSTRUCTIONLINK A");
+                strParent.Append(" LEFT OUTER JOIN CONSTRUCTIONBASEINFODETAIL F ON F.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE");
+                strParent.AppendFormat(" AND F.DETAILNO = {0}", (int)ConstructionBaseInfoDetail.DataNoDef.ConstructionName);
+                strParent.Append(", CONSTRUCTIONBASEINFO B");
 
-                strParent += string.Format(" WHERE A.FLUCTUATIONCODE = {0}", SearchCode);
+                strParent.AppendFormat(" WHERE A.FLUCTUATIONCODE = {0}", SearchCode);
 
                 switch (FuncCnt)
                 {
@@ -371,18 +377,18 @@
                     case 0:
                     case 2:
                         // 結合タイプよりデータを検索
-                        strParent += string.Format(" AND A.LINKTYPE = {0}", (int)ConstructionLink.DataTypeDef.JoinType);
+                        strParent.AppendFormat(" AND A.LINKTYPE = {0}", (int)ConstructionLink.DataTypeDef.JoinType);
                         break;
                     case 1:
                         // 増減タイプよりデータを検索
-                        strParent += string.Format(" AND A.LINKTYPE = {0}", (int)ConstructionLink.DataTypeDef.FluctuationType);
+                        strParent.AppendFormat(" AND A.LINKTYPE = {0}", (int)ConstructionLink.DataTypeDef.FluctuationType);
                         break;
                 }
 
-                strParent += " AND B.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE";
-                strParent += string.Format(" AND B.CONSTRUCTIONSTATUSFLG != {0}", iStatus);
+                strParent.Append(" AND B.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE");
+                strParent.AppendFormat(" AND B.CONSTRUCTIONSTATUSFLG != {0}", iStatus);
 
-                if (!BaseDB.ExecuteReader(strParent, ref DataList))
+                if (!BaseDB.ExecuteReader(strParent.ToString(), ref DataList))
                 {
                     FuncCnt = 3;
                     return;
@@ -428,9 +434,10 @@
             try
             {
                 // 対象の工事情報を取得する
-                string strSQL = BaseDB.CreatePrimarykeyString(TargetCode);
+                StringBuilder strSQL = new StringBuilder();
+                strSQL.Append(BaseDB.CreatePrimarykeyString(TargetCode));
                 ConstructionBaseInfo BaseRec = new ConstructionBaseInfo();
-                if (!BaseDB.SelectAction(strSQL, ref BaseRec, false)) return false;
+                if (!BaseDB.SelectAction(strSQL.ToString(), ref BaseRec, false)) return false;
 
                 // 結合工事では無ければ処理しない
                 if (BaseRec.JoinFlg == (int)ConstructionBaseInfo.JoinFlgDef.Standard) return true;
@@ -439,16 +446,17 @@
                 int ParentCode = ClsProcessExist.GetParentConstrCode(TargetCode);
 
                 // 結合している工事番号をすべて取得する
-                strSQL = "SELECT A.CONSTRUCTIONCODE, A.FLUCTUATIONCODE, D.JOINFLG, B.FLUCTUATIONCODE, C.JOINFLG FROM CONSTRUCTIONLINK A";
-                strSQL += " LEFT JOIN CONSTRUCTIONLINK B ON B.CONSTRUCTIONCODE = A.FLUCTUATIONCODE";
-                strSQL += " LEFT JOIN CONSTRUCTIONBASEINFO C ON C.CONSTRUCTIONCODE = B.CONSTRUCTIONCODE";
-                strSQL += ", CONSTRUCTIONBASEINFO D";
-                strSQL += string.Format(" WHERE A.CONSTRUCTIONCODE = {0}", ParentCode);
-                strSQL += " AND D.CONSTRUCTIONCODE = A.FLUCTUATIONCODE";
-                strSQL += " ORDER BY D.JOINFLG ASC, C.JOINFLG ASC";
+                strSQL.Clear();
+                strSQL.Append("SELECT A.CONSTRUCTIONCODE, A.FLUCTUATIONCODE, D.JOINFLG, B.FLUCTUATIONCODE, C.JOINFLG FROM CONSTRUCTIONLINK A");
+                strSQL.Append(" LEFT JOIN CONSTRUCTIONLINK B ON B.CONSTRUCTIONCODE = A.FLUCTUATIONCODE");
+                strSQL.Append(" LEFT JOIN CONSTRUCTIONBASEINFO C ON C.CONSTRUCTIONCODE = B.CONSTRUCTIONCODE");
+                strSQL.Append(", CONSTRUCTIONBASEINFO D");
+                strSQL.AppendFormat(" WHERE A.CONSTRUCTIONCODE = {0}", ParentCode);
+                strSQL.Append(" AND D.CONSTRUCTIONCODE = A.FLUCTUATIONCODE");
+                strSQL.Append(" ORDER BY D.JOINFLG ASC, C.JOINFLG ASC");
 
                 ArrayList arList = new ArrayList();
-                if (!BaseDB.ExecuteReader(strSQL, ref arList, false)) return false;
+                if (!BaseDB.ExecuteReader(strSQL.ToString(), ref arList, false)) return false;
                 if (arList.Count == 0) return false;
 
                 List<int> CodeList = new List<int>();
@@ -464,18 +472,19 @@
                 }
 
                 // 工事進捗を取得する
-                strSQL = "SELECT MIN(CONSTRUCTIONSTATUSFLG), MAX(CONSTRUCTIONSTATUSFLG)";
-                strSQL += " FROM CONSTRUCTIONBASEINFO";
-                strSQL += " WHERE CONSTRUCTIONCODE IN (";
+                strSQL.Clear();
+                strSQL.Append("SELECT MIN(CONSTRUCTIONSTATUSFLG), MAX(CONSTRUCTIONSTATUSFLG)");
+                strSQL.Append(" FROM CONSTRUCTIONBASEINFO");
+                strSQL.Append(" WHERE CONSTRUCTIONCODE IN (");
                 for (int i = 0; i < CodeList.Count; i++)
                 {
-                    if (i != 0) strSQL += ", ";
-                    strSQL += CodeList[i].ToString();
+                    if (i != 0) strSQL.Append(", ");
+                    strSQL.Append(CodeList[i].ToString());
                 }
-                strSQL += ")";
+                strSQL.Append(")");
                 
                 arList.Clear();
-                if (!BaseDB.ExecuteReader(strSQL, ref arList, false)) return false;
+                if (!BaseDB.ExecuteReader(strSQL.ToString(), ref arList, false)) return false;
                 if (arList.Count == 0) return false;
                 object[] StatRec = (object[])arList[0];
 
Index: branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsCommonApproval.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsCommonApproval.cs	(revision 368)
+++ branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsCommonApproval.cs	(revision 369)
@@ -392,17 +392,15 @@
         /// <summary>
         /// 最終承認確認（工事承認）
         /// </summary>
-        /// <param name="ConstructionCode"></param>
-        /// <param name="ApprovalCode"></param>
         /// <returns></returns>
-        public static bool CheckProcessApproval(int ConstructionCode, int ApprovalCode, int Approvalcount)
+        public static bool CheckProcessApproval(int ConstructionCode, int ApprovalCode, int OrderNo)
         {
             IOMApproval mApprDB = new IOMApproval();
             IOProcessApproval ApprDB = new IOProcessApproval();
             try
             {
-                // 承認データを取得する（申請データを除く）
-                string strData = ApprDB.CreatePrimarykeyString(ConstructionCode, ApprovalCode, Approvalcount, s_PrimartyRecord);
+                // 承認データを取得する
+                string strData = ApprDB.CreatePrimarykeyString(ConstructionCode, ApprovalCode, OrderNo, s_PrimartyRecord);
                 ProcessApproval DataRec = new ProcessApproval();
                 if (!ApprDB.SelectAction(strData, ref DataRec)) return false;
 
@@ -456,14 +454,12 @@
         }
         #endregion
 
-        #region 承認確認（工事承認）
+        #region 承認時確認（工事承認）
         /// <summary>
-        /// 工事案件に対して最終承認がされているかを確認する
+        /// 工事案件に対して承認ＯＫかを確認する
         /// </summary>
-        /// <param name="ConstructionCode"></param>
-        /// <param name="ApprovalCode"></param>
         /// <returns></returns>
-        public static bool CheckProcessApprovalData(int ConstructionCode, int ApprovalCode, int OrderNo)
+        public static bool CheckProcessApprovalFinal(int ConstructionCode, int ApprovalCode, int OrderNo)
         {
             IOConstructionBaseInfo cbiDB = new IOConstructionBaseInfo();
             IOMApproval mApprDB = new IOMApproval();
@@ -488,11 +484,11 @@
                 if (MasterList.Count == 0) return false;
 
                 // 承認データを取得する
-                string strData = ApprDB.CreatePrimarykeyString(ConstructionCode, ApprovalCode, OrderNo);
-                //strData += string.Format(" And SeqNo != {0} And ApprovalStatus = {1}", s_PrimartyRecord, (int)CommonDefine.ApprovalStatus.Approval);
-                strData += " Order By SeqNo ASC";
+                StringBuilder strData = new StringBuilder();
+                strData.Append(ApprDB.CreatePrimarykeyString(ConstructionCode, ApprovalCode, OrderNo));
+                strData.Append(" Order By SeqNo ASC");
                 List<ProcessApproval> DataList = new List<ProcessApproval>();
-                if (!ApprDB.SelectAction(strData, ref DataList)) return false;
+                if (!ApprDB.SelectAction(strData.ToString(), ref DataList)) return false;
                 if (DataList.Count == 0) return false;
 
                 // 申請データを取得する
@@ -499,6 +495,9 @@
                 ProcessApproval RequestData = DataList.Find(x => x.SeqNo == s_PrimartyRecord);
                 if (RequestData == null) return false;
 
+                // 承認されている場合はそのまま終了
+                //if (RequestData.ApprovalStatus == (int)CommonDefine.ApprovalStatus.Approval) return true;
+
                 int NoCnt = MasterList.Count;
                 foreach (ProcessApproval DataRec in DataList)
                 {
@@ -1249,7 +1248,7 @@
                 if (bPetition)
                 {
                     // 未申請ボタン
-                    PetitionButtonDisplay(btnPetition, btnApproval, lblAppCnt, bNone);
+                    PetitionButtonDisplay(AppPnls, btnPetition, btnApproval, lblAppCnt, bNone);
                 }
                 else
                 {
@@ -1268,7 +1267,7 @@
         /// <summary>
         /// 申請パネル：申請ボタン表示
         /// </summary>
-        private static void PetitionButtonDisplay(Button btnPetition, Button btnApproval, Label lblAppCnt, bool bNone)
+        private static void PetitionButtonDisplay(List<Panel> AppPnls, Button btnPetition, Button btnApproval, Label lblAppCnt, bool bNone)
         {
             try
             {
@@ -1277,7 +1276,7 @@
                 btnApproval.Visible = false;
                 lblAppCnt.Visible = false;
 
-                int nWidth = btnPetition.Width + btnApproval.Width + lblAppCnt.Width;
+                int nWidth = AppPnls[(int)AppPnlDef.Normal].Width - 12;
                 btnPetition.Size = new Size(nWidth, btnPetition.Size.Height);
 
                 btnPetition.BackColor = Color.White;
Index: branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsExcute.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsExcute.cs	(revision 368)
+++ branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsExcute.cs	(revision 369)
@@ -205,7 +205,7 @@
                                                                                 { (int)ProcessExecuteNo.SafetyPatrol,           "安全パトロール申請"},
                                                                                 { (int)ProcessExecuteNo.ReqSumTotalList,        "手間・通常業者一覧－表示"},
                                                                                 { (int)ProcessExecuteNo.RequestPrintList,       "請求書印刷一覧－表示"},
-                                                                                { (int)ProcessExecuteNo.DepartmentCost,         "部署出納帳" },
+                                                                                { (int)ProcessExecuteNo.DepartmentCost,         "部署出納帳－入力" },
         };
 
         #endregion
@@ -298,7 +298,7 @@
             /// <summary>
             ///  5:請求承認
             /// </summary>
-            OrderBillingApproval,
+            OrderRequestApproval,
             /// <summary>
             ///  6:工事日報承認
             /// </summary>
@@ -2243,8 +2243,8 @@
 
                 // パラメータセット
                 frm.ConstructionCode = CurrentPara.IntExecParameter[0];
-                frm.ApprovalCode = 0;
-                frm.OrderNo = CurrentPara.IntExecParameter[1];
+                if (CurrentPara.IntExecParameter.Count > 1) frm.ApprovalCode = CurrentPara.IntExecParameter[1];
+                if (CurrentPara.IntExecParameter.Count > 2) frm.OrderNo = CurrentPara.IntExecParameter[2];
 
                 if (EditFlg == (int)CommonDefine.ProcessDataEdit.Reference) frm.EditFlg = false;
 
@@ -2323,13 +2323,14 @@
                 // 次起動プロセスセット
                 frm.ExecuteFlg = CurrentPara.IntExecParameter[0];
                 frm.ExecuteSubFlg = CurrentPara.IntExecParameter[1];
-
-                frm.EditFlg = true;
                 frm.RequestMonth = CurrentPara.IntExecParameter[2];
                 frm.OrderersDivision = CurrentPara.IntExecParameter[3];
                 frm.OrderersCode = CurrentPara.IntExecParameter[4];
+
                 frm.OrderersName = CurrentPara.StringExecParameter[0];
 
+                frm.EditFlg = true;
+
                 // フォーム表示
                 frm.ShowDialog();
             }
@@ -2616,7 +2617,7 @@
         /// <param name="CurrentPara"></param>
         public static void ProcessExecuteNo_ReqBillingStatus(ProcessParameter CurrentPara)
         {
-            //　請求選択一覧
+            //　請求状況一覧
             FrmReqBillingStatus frm = new FrmReqBillingStatus();
             try
             {
Index: branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsOtherProc.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsOtherProc.cs	(revision 368)
+++ branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsOtherProc.cs	(revision 369)
@@ -693,7 +693,6 @@
                 ExecFormEntry(ProcessNo, CurProcNo, (Form)frm);
 
                 // 請求書印刷起動
-                frm.ConstructionCode = ClsProcessExist.GetParentConstrCode(ConstrCode);
                 frm.SubForm = true;
                 frm.ShowInTaskbar = true;
 
